Como funciona
A chave e o passo de tempo atual são combinados com HMAC (SHA-1, SHA-256 ou SHA-512) e truncados num número de 6 ou 8 dígitos — o método TOTP da RFC 6238. Com um link otpauth://, dígitos, período e algoritmo ficam definidos automaticamente. O relógio do dispositivo tem de estar mais ou menos certo.
chave + tempo ÷ 30 → HMAC-SHA1 → 6 dígitos
Onde está a chave?
- Nova configuração: o site mostra “não consegue escanear?” ou “digitar manualmente” ao lado do QR — essa sequência é a chave.
- Espaços e traços na chave são ignorados, e minúsculas também funcionam.
- Chave perdida: esta página não pode recuperá-la. Cadastre de novo a verificação em duas etapas no site para obter uma nova.
Dicas
- Use como visualizador reserva, não como única cópia — guarde a chave também num gerenciador de senhas.
- Se os códigos são sempre rejeitados, confira primeiro o relógio do dispositivo.
- Tudo roda no seu navegador; nada é enviado.
Padrões e fontes
- Senhas de uso único baseadas em tempo (TOTP): RFC 6238; o núcleo HMAC: RFC 4226
- Codificação Base32: RFC 4648
Última revisão 12 de outubro de 2026
Perguntas frequentes
Onde acho a chave?
Quando um site mostra um QR para ativar a verificação em duas etapas, costuma haver um link “não consegue escanear?” ou “digitar manualmente” ao lado — essa sequência é a chave.
Por que meus códigos são sempre rejeitados?
Quase sempre é o relógio: o TOTP depende da hora, então um dispositivo minutos adiantado ou atrasado gera códigos errados. Confira data e hora automáticas primeiro.
É seguro colar minha chave aqui?
A página funciona toda offline e a chave nunca sai do seu navegador. Mesmo assim, use como visualizador reserva e guarde a chave também num gerenciador de senhas.
E se eu perder a chave?
Nada aqui pode recuperá-la. Desligue e ligue de novo a verificação em duas etapas no site para obter uma chave nova.